---
title: RTCRtpTransceiver.mid
slug: Web/API/RTCRtpTransceiver/mid
tags:
  - API
  - Media
  - Media ID
  - Property
  - RTCRtpTransceiver
  - RTP
  - Read-only
  - Reference
  - SDP
  - WebRTC
  - mid
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only {{domxref("RTCRtpTransceiver")}} interface's <code><strong>mid</strong></code> property specifies the negotiated media ID (<code>mid</code>) which the local and remote peers have agreed upon to uniquely identify the stream's pairing of sender and receiver.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>mediaID</em> = <em>RTCRtpTransceiver</em>.mid;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which uniquely identifies the pairing of source and destination of the transceiver's stream. Its value is taken from the media ID of the SDP m-line. This value is <code>null</code> if negotiation has not completed.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtptransceiver-mid", "RTCRtpTransceiver.mid")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpTransceiver.mid")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Intro_to_RTP">Introduction to the Real-time Transport Protocol (RTP)</a></li>
</ul>

